<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Minibuzz
 * @since Minibuzz 1.0
 */

get_header(); ?>
<?php
	/* Queue the first post, that way we know
	 * what date we're dealing with (if that is the case).
	 *
	 * We reset this later so we can run the loop
	 * properly with a call to rewind_posts().
	 */
	if ( have_posts() )
		the_post();
		
	$check_ID = get_the_ID();
	$check_pt =  get_post_type( get_the_ID() );
	rewind_posts();
?>

<?php if ($check_pt == 'portfolio' ){ ?>
<div id="header-inner">
	<h1 class="pagetitle">
		<?php 
		$mycat = $portfoliocat;
		$myterms = get_terms('portfoliocat', 'orderby=count&slug=' . $mycat);
		echo $myterms[0]->name;
		?> 
	</h1>
</div><!-- end #header-inner -->

				<?php 
				if ( is_active_sidebar('before-content') ) {
				get_sidebar('before-content');
				}
				?>
				
	<div id="content_full">
		<?php if ( function_exists('yoast_breadcrumb') && !is_front_page() ) {
		yoast_breadcrumb('<div id="breadcrumbs">','</div>');} ?>

		<?php get_template_part( 'loop', 'portfolio' );?>
		<?php wp_reset_query();?>
	</div><!-- #contentfull -->
	<div class="clear"></div>

<?php } else { ?>

<div id="header-inner">
		<?php if (have_posts()) : the_post(); ?>
	
			<?php if ( is_day() ) : ?>
			<h1 class="pagetitle"><?php printf( __( 'Daily Archives: <span>%s</span>', 'templatesquare' ), get_the_date() ); ?></h1>
			<?php elseif ( is_month() ) : ?>
			<h1 class="pagetitle"><?php printf( __( 'Monthly Archives: <span>%s</span>', 'templatesquare' ), get_the_date('F Y') ); ?></h1>
			<?php elseif ( is_year() ) : ?>
			<h1 class="pagetitle"><?php printf( __( 'Yearly Archives: <span>%s</span>', 'templatesquare' ), get_the_date('Y') ); ?></h1>
			<?php else : ?>
			<h1 class="pagetitle"><?php printf( __( '%s', 'templatesquare' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?></h1>
			<?php endif; ?>
			
		<?php endif; ?>
		<?php wp_reset_query();?>
</div><!-- end #header-inner -->

<div id="content">
	<div id="content-left">
		<div id="maintext">

		
			<?php if ( function_exists('yoast_breadcrumb') ) {
				yoast_breadcrumb('<div id="breadcrumbs">','</div>');
			} ?>
	
		<?php
			/* Since we called the_post() above, we need to
			 * rewind the loop back to the beginning that way
			 * we can run the loop properly, in full.
			 */
			rewind_posts();
		
			/* Run the loop for the archives page to output the posts.
			 * If you want to overload this in a child theme then include a file
			 * called loop-archives.php and that will be used instead.
			 */
			get_template_part( 'loop', 'archive' );
		?>
		
		</div><!-- end #maintext -->
	</div><!-- end #content-left -->
	
	<div id="content-right">
		<div id="sideright">
		
		<?php get_sidebar(); ?>
		
		</div><!-- end #sideright -->
	</div><!-- end #content-right -->
	
	<div class="clr"></div><!-- end clear float -->
</div><!-- end #content -->
<?php } ?>


<?php get_footer(); ?>
