<?php
/**
 * The Header for our theme.
 * @package WordPress
 * @subpackage Minibuzz
 * @since Minibuzz 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 * We filter the output of wp_title() a bit -- see
	 * twentyten_filter_wp_title() in functions.php.
	 */
	wp_title( '|', true, 'right' );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link href="<?php bloginfo('template_url'); ?>/prettyPhoto.css" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo('stylesheet_directory');?>/jqueryslidemenu.css" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo('stylesheet_directory');?>/s3slider.css" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo('stylesheet_directory');?>/fancy.css" rel="stylesheet" type="text/css" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php 
$favicon = get_option('templatesquare_favicon');
if($favicon =="" ){
?>
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" />
<?php }else{?>
<link rel="shortcut icon" href="<?php echo $favicon; ?>" />
<?php }?>
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>

<!-- ////////////////////////////////// -->
<!-- //      Javascript Files        // -->
<!-- ////////////////////////////////// -->
<!-- dropdown menu -->
<?php $time = get_option('templatesquare_slider_timeout') ;?>
<?php $slidetype = get_option('templatesquare_slider_type');?>
<!-- dropdown menu -->
<script type="text/javascript">
//Specify full URL to down and right arrow images (23 is padding-right to add to top level LIs with drop downs):
var arrowimages={down:['downarrowclass', '<?php bloginfo('stylesheet_directory');?>/images/down.gif', 38], right:['rightarrowclass', '<?php bloginfo('stylesheet_directory');?>/images/right.gif']}
</script>
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory');?>/js/jqueryslidemenu.js"></script>


		<?php if(is_front_page()){?>
			<?php if($slidetype == 'slider1'){?>
<script type="text/javascript">
/* for s3Slider homepage slider */
var $ = jQuery.noConflict();
    $(document).ready(function() {
        $('#s3slider').s3Slider({
            timeOut:<?php echo $time ;?>
        });
    });
</script>
			<?php } ?>
		<?php } ?>

<script type="text/javascript">
var $ = jQuery.noConflict();
    jQuery(document).ready(function($) {

		/* for Testimonial cycle */
		$('.boxslideshow').cycle({
		timeout: <?php echo $time;?>,  // milliseconds between slide transitions (0 to disable auto advance)
		fx:      'fade', // choose your transition type, ex: fade, scrollUp, shuffle, etc...            
		pause:   0,	  // true to enable "pause on hover"
		pauseOnPagerHover: 0 // true to pause when hovering over pager link
		});
		

		/* for portfolio prettyPhoto */
		$("#main-gallery a[rel^='prettyPhoto']").prettyPhoto({theme:'light_rounded'});

		
    });
</script>



<script type="text/javascript">
	 Cufon.replace('h1') ('h1 a') ('h2') ('h3') ('h4') ('h5') ('h6') ('.desc') ('.largetext')
</script>

<?php 
$bgcolor = get_option('templatesquare_bgcolor');
$bgimage = get_option('templatesquare_bgimage');
$hcolor = get_option('templatesquare_hcolor');
$topline = get_option('templatesquare_topline');
$pagetitlecolor = get_option('templatesquare_pagetitle');
$linkcolor = get_option('templatesquare_linkcolor');
$disableslidertext= get_option('templatesquare_disable_slider_text');


if($bgcolor==""){ $bgcolor = "#ebeceb"; }
if($hcolor==""){ $hcolor = "#2d84b6"; }
if($topline==""){ $topline = "#2d84b6"; }
if($linkcolor==""){ $linkcolor = "#df7034"; }
?> 
<style type="text/css">
body{background-color:<?php echo $bgcolor; ?>; <?php if($bgimage!=""){ ?>background-image:url(<?php echo $bgimage; ?>)<?php } ?>}
a, a:visited{color:<?php echo $linkcolor; ?>;}
h1, h2, h3, h4, h5, h6, h1 a, h1 a:visited, h2 a, h2 a:visited, h3 a, h3 a:visited, h4 a, h4 a:visited, h5 a, h5 a:visited, h6 a, h6 a:visited, span.tblue,
span.tblue a, span.tblue a:visited, span.tblue2, .name-testi .user
{color:<?php echo $hcolor; ?> !important}
#searchresult .post h3 a, .current-menu-parent .current-menu-item a, .current_page_parent .current_page_item a{color:<?php echo $hcolor; ?> !important;}
#top{border-top:solid 2px <?php echo $topline; ?>;}
code{border-left:solid 5px <?php echo $topline; ?>;}
#topnav ul li.current_page_item a, #topnav ul li.current-menu-item a,  #topnav-full ul li.current_page_item a, #topnav-full ul li.current-menu-item a{border-top:solid 3px <?php echo $topline; ?>;}
.current_page_parent a, .current-menu-item a, .current-menu-parent a{border-top:solid 3px <?php echo $topline; ?>; padding-top:4px !important;}
#topnav ul li.current_page_item ul li a, #topnav ul li.current-menu-item ul li a,
#topnav ul li ul li.current_page_item a, #topnav ul li ul li.current-menu-item a,
#topnav-full ul li.current_page_item ul li a, #topnav-full ul li.current-menu-item ul li a, 
#topnav-full ul li ul li.current_page_item a, #topnav-full ul li ul li.current-menu-item a {border-top:0px !important;}
#sideright ul li.recentcomments a, #sideright ul li.recentcomments a:visited,
.boxslideshow a, .boxslideshow a:visited, .wp-pagenavi a:hover, .wp-pagenavi span.current 
{color:<?php echo $linkcolor; ?> !important;}

#header-inner h1.pagetitle{color:<?php echo $pagetitlecolor; ?> !important;}
.pagination a{color:#656253; }
.pagination .current{color:<?php echo $linkcolor; ?>;}

<?php if(is_front_page()){?>
.hentry {
	margin: 0 0 0px 0;
	padding:0px 0px 0px 0px;
}
<?php } ?>

<?php if($disableslidertext==true){ ?>
.s3sliderImage div {background-color:transparent !important;}
<?php } else { ?>
.s3sliderImage div {background-color:#000;}
<?php }?>
</style>
<!--[if IE 6]>
<script src="<?php bloginfo('stylesheet_directory');?>/js/DD_belatedPNG.js"></script>
<script>
  DD_belatedPNG.fix('img');
</script>
<![endif]--> 

</head>

<body>

<div id="wrapper">
	<div id="container">
		<div id="top">
			<?php
			$logotype = get_option('templatesquare_logo_type');
			$logoimage = get_option('templatesquare_logo_image'); 
			$sitename = get_option('templatesquare_site_name');
			$tagline = get_option('templatesquare_tagline');
			if($logoimage == ""){ $logoimage = get_bloginfo('stylesheet_directory') . "/images/logo.png"; }
			?>
			<?php if($logotype == 'textlogo'){ ?>
			<div id="logo">
					<?php if($sitename=="" && $tagline==""){?>
							<h1><a href="<?php echo get_option('home'); ?>/" title="<?php _e('Click for Home','templatesquare'); ?>"><?php bloginfo('name'); ?></a></h1>
						<span class="desc"><?php bloginfo('description'); ?></span>
					<?php }else{ ?>
						<h1><a href="<?php echo get_option('home'); ?>/" title="<?php _e('Click for Home','templatesquare'); ?>"><?php echo $sitename; ?></a></h1>
						<span class="desc"><?php echo $tagline; ?></span>
					<?php }?>
			</div><!-- end #logo -->
			<?php } else { ?>
			<div id="logoimage">
				<a href="<?php echo get_option('home'); ?>/"><img src="<?php echo $logoimage ?>" alt="" height="100" /></a>
			</div>
			<?php }?>
			
			<?php $searchposition = get_option('templatesquare_search_position');?>
			<?php if($searchposition == 'above'){?>
			<div id="topsearch-menu">
<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
<p><input type="text" name="s" id="s" class="inputbox" /><input type="submit" value="Search" class="but" /></p>
</form>
			</div><!-- end #topsearch -->
			<?php }?>
		</div><!-- end #top -->
		<div id="topnavigation">
		
				
					<?php if($searchposition == 'default'){
					$navigation = "topnav";
					}else{
					$navigation = "topnav-full";
					}
					?>
		
			<div id="<?php echo $navigation;?>">
				<div id="myslidemenu" class="jqueryslidemenu">
				<?php if ( function_exists( 'wp_nav_menu' ) ) {?>
					<?php wp_nav_menu( array(
					  'container'       => 'ul', 
					  'menu_class'      => 'menu', 
					  'menu_id'         => '',
					  'depth'           => 0,
					  'theme_location' => 'mainmenu' 
					  )); 
					  ?>
										  
				<?php } else {?>
			
					<?php 
							if(is_array(get_option('templatesquare_menu'))){
								$menu = implode(",",get_option('templatesquare_menu'));
							}else{
								$menu = "";
							}
								
					 ?>
					
					<ul>
						<li class="home<?php if (is_front_page() || is_home()) echo ' current_page_item'; ?>">
							<a href="<?php echo get_option('home'); ?>/">Home</a>
						</li>
						<?php wp_list_pages('title_li=0&depth=3&sort_column=menu_order&exclude=' . $menu ); ?>
					</ul>
					
					<?php } ?>
					</div>
			</div><!-- end #topnav -->
			<?php if($searchposition == 'default'){?>
			<div id="topsearch">
<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
<p><input type="text" name="s" id="s" class="inputbox" /><input type="submit" value="Search" class="but" /></p>
</form>
			</div><!-- end #topsearch -->
			<?php }?>
		</div><!-- end #topnavigation -->
		<?php if(is_front_page()){?>
				<?php include_once (TEMPLATEPATH . '/slider.php'); ?>
		<?php } ?>
